find_if.hpp File Reference

## Functions

template<typename I , typename S , typename F , typename P = identity>
auto | ranges::find_if (I first, S last, F pred, P proj=P{}) -> I requires input_iterator< I > &&sentinel_for< S, I > &&indirect_unary_predicate< F, projected< I, P >>
| template function `find` More...
template<typename Rng , typename F , typename P = identity>
auto | ranges::find_if (Rng &&rng, F pred, P proj=P{}) -> safe_iterator_t< Rng > requires input_range< Rng > &&indirect_unary_predicate< F, projected< iterator_t< Rng >, P >>